## org.eclipse.emf.converter.ui.contribution
Class ModelConverterManager.ModelConverterDescriptorWizardNode

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorWizardNode

All Implemented Interfaces:
  IWizardNode

Direct Known Subclasses:
  ModelExporterManager.ModelExporterDescriptorWizardNode, ModelImporterManager.ModelImporterDescriptorWizardNode

Enclosing class:
  ModelConverterManager<D extends ModelConverterDescriptor>

    public abstract static class ModelConverterManager.ModelConverterDescriptorWizardNode

extends java.lang.Object
implements IWizardNode

Field Summary
`protected boolean` `contentCreated`
`protected ModelConverterDescriptor` `descriptor`
`protected Point` `point`
`protected IWizard` `wizard`

Constructor Summary
`ModelConverterManager.ModelConverterDescriptorWizardNode(ModelConverterDescriptor descriptor)`

Method Summary
`protected abstract IWizard` `createWizard()`
`void` `dispose()`
`Point` `getExtent()`
`IWizard` `getWizard()`
`boolean` `isContentCreated()`
`void` `setContentCreated(boolean contentCreated)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentCreated

    protected boolean contentCreated

### descriptor

    protected ModelConverterDescriptor descriptor

### wizard

    protected IWizard wizard

### point

    protected Point point

Constructor Detail

### ModelConverterManager.ModelConverterDescriptorWizardNode

    public ModelConverterManager.ModelConverterDescriptorWizardNode(ModelConverterDescriptor descriptor)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IWizardNode`

### getWizard

    public IWizard getWizard()

  Specified by:
    `getWizard` in interface `IWizardNode`

### createWizard

    protected abstract IWizard createWizard()

### isContentCreated

    public boolean isContentCreated()

  Specified by:
    `isContentCreated` in interface `IWizardNode`

### setContentCreated

    public void setContentCreated(boolean contentCreated)

### getExtent

    public Point getExtent()

  Specified by:
    `getExtent` in interface `IWizardNode`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.